#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <math.h>
#include <stdarg.h>
#include <syslog.h>
#include <strings.h>
#include <malloc.h>
#include <stdlib.h>

extern int daemonmode;

char *addr_to_str(int addr)
{
  static char buf[20];
   
  sprintf (buf, "%d.%d.%d.%d",
       (addr >> 0)  & 0xff,
       (addr >> 8)  & 0xff,
       (addr >> 16) & 0xff,
       (addr >> 24) & 0xff);
  return buf;
}

double now(void) {
  struct timeval x;
  gettimeofday(&x,NULL);
  return (double)x.tv_sec+((double)x.tv_usec/1000000);
}

void fatal(char *s,...) {
   va_list ap;
   va_start(ap, s);
	vfprintf(stderr,s,ap);
   exit(1);
}

void output_open(void) {
	openlog("pfd",LOG_PID,LOG_DAEMON);
}

void output_closelog(void) {
	closelog();
}

void output(char *s,...) {
   va_list ap;
   va_start(ap, s);
   if (daemonmode) { char *x;
   	vasprintf(&x,s,ap);
	syslog(LOG_INFO,x);
	free(x);
   } else {
	vfprintf(stdout,s,ap);
	fprintf(stdout,"\n");
   }
}
